> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getGarnishmentAgencies

> The `getGarnishmentAgencies` API retrieves the available agencies given a garnishment type

### When to use:
- To determine the agency to send in the `addGarnishments` request
- Agencies are state specific and will be stated on any garnishment communications you recieve via mail

### Note:
- Currently only `Child Support` is supported for garnishmentType since this is the only garnishment Rollfi pays directly to an agency

### Direct Agency Payment Scope:
- Rollfi can only pay agencies directly for `Child Support` garnishments.
- Direct agency payment for child support is available in 49 states (all except South Carolina (SC)).



## OpenAPI

````yaml get /reports/getGarnishmentAgencies
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getGarnishmentAgencies:
    get:
      tags: []
      summary: getGarnishmentAgencies
      description: >-
        The `getGarnishmentAgencies` API retrieves the available agencies given
        a garnishment type


        ### When to use:

        - To determine the agency to send in the `addGarnishments` request

        - Agencies are state specific and will be stated on any garnishment
        communications you recieve via mail


        ### Note:

        - Currently only `Child Support` is supported for garnishmentType since
        this is the only garnishment Rollfi pays directly to an agency


        ### Direct Agency Payment Scope:

        - Rollfi can only pay agencies directly for `Child Support`
        garnishments.

        - Direct agency payment for child support is available in 49 states (all
        except South Carolina (SC)).
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                garnishmentType:
                  type: string
              required:
                - method
                - garnishmentType
            example:
              method: getGarnishmentAgencies
              garnishmentType: Child Support
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  garnishmentAgencies:
                    type: array
                    items:
                      type: string
                required:
                  - garnishmentAgencies
              example:
                garnishmentAgencies:
                  - Alabama Child Support Agency
                  - Alaska Child Support Agency
                  - Arizona Child Support Agency
                  - Arkansas Child Support Agency
                  - California Child Support Agency
                  - Colorado Child Support Agency
                  - Connecticut Child Support Agency
                  - Delaware Child Support Agency
                  - District of Columbia Child Support Agency
                  - Florida Child Support Enforcement
                  - Georgia Child Support Agency
                  - Hawaii Child Support Agency
                  - Idaho Child Support Agency
                  - Illinois Child Support State Agency
                  - Indiana Child Support Agency
                  - Iowa Child Support Agency
                  - Kansas Child Support Agency
                  - Kentucky Child Support Agency
                  - Louisiana Child Support Agency
                  - Maine Child Support Agency
                  - Maryland Child Support Agency
                  - Massachusetts Child Support Agency
                  - Michigan Child Support Agency
                  - Minnesota Child Support Agency
                  - Mississippi Child Support Agency
                  - Missouri Child Support Agency
                  - Montana Child Support Agency
                  - Nebraska Child Support Agency
                  - Nevada Child Support Agency
                  - New Hampshire Child Support Agency
                  - New Jersey Child Support Agency
                  - New Mexico Child Support Agency
                  - New York Child Support Enforcement
                  - North Carolina Child Support Agency
                  - North Dakota Child Support Division
                  - Ohio Child Support Program
                  - Oklahoma Child Support Agency
                  - Oregon Child Support Agency
                  - Pennsylvania Child Support Agency
                  - Rhode Island Child Support Agency
                  - South Carolina Child Support Agency
                  - South Dakota Child Support Agency
                  - Tennessee Child Support Agency
                  - Texas Attorney General Child Support
                  - Utah Child Support Agency
                  - Vermont Child Support Agency
                  - Virginia Child Support Agency
                  - Washington Child Support Agency
                  - West Virginia Child Support Agency
                  - Wisconsin Child Support Agency
                  - Wyoming Child Support Agency
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                error:
                  code: 404
                  message: No garnishment type found matching Test Agency.
          headers: {}
      deprecated: false
      security: []

````